Description

Need to check if that correlates with our discussion last Thursday.
Situation was as follows: 
    -  rsb_send (C++) to
    -  RSBJava listener (Java)

SEVERE: Error deserializing user data
rsb.transport.ConversionException: Unexpected wire schema 'string', expected 'utf-8-string'.
    at rsb.transport.convert.StringConverter.deserialize(StringConverter.java:144)
    at rsb.transport.convert.StringConverter.deserialize(StringConverter.java:41)
    at rsb.transport.spread.ReceiverTask.convertNotification(ReceiverTask.java:139)
    at rsb.transport.spread.ReceiverTask.run(ReceiverTask.java:93)

Related issues:
Related to Robotics Service Bus - Bug # 338: Clarify Meaning of "string" Wire... Resolved 05/28/2011

History
#1 - 06/11/2011 08:43 PM - J. Wienke
- Status changed from New to Rejected

cpp needs adaption. Not yet done.

#2 - 06/11/2011 08:55 PM - S. Wrede
- Status changed from Rejected to Feedback

More detail needed. Workaround is running here, but what is needed until 0.3?

Is there a ticket for the missing converter / wire schema bits?

#3 - 06/11/2011 09:17 PM - J. Wienke

We still need to update CPP to the new conventions about the wire schema and encodings. This is work in progress that still needs to be fixed for the
0.3 release. Until that either the cpp converter needs to be adapted to send either ascii-string or utf-8-string  as wire schema or you could register a
converter in java that accepts "string" as wire schema.

The related issue #338 covers the required adaptations.
#4 - 06/11/2011 09:33 PM - S. Wrede
- Status changed from Feedback to Closed

Thanx, so we can close this ticket as a duplicate of #338.

#5 - 06/13/2011 02:26 PM - J. Wienke
- Target version set to 0.3

The interoperability should be fixed now. Can you test it again with the dialog and without the hack?

#6 - 06/14/2011 10:27 AM - S. Wrede
- Status changed from Closed to Resolved
- % Done changed from 0 to 100

Works great now with RSB trunk of C++/Java... Thx!
